//	Copyright:	 1995 by Apple Computer, Inc., All rights reserved.
//	Release Version:	$ 1.0d11 $

#ifndef DATASAVEDEF_H
#define DATASAVEDEF_H

// Uncomment the following three lines, and define them appropriately!!
// If your part can be a container for other parts, define FW_SUPPORTS_EMBEDDING
// to be 1.  Otherwise define it to be 0.
// If your part defines any ODExtensions, define FW_SUPPORTS_EXTENSIONS to be
// 1 to enable the extensions manager.  Otherwise, define it to be 0.
// If your part is scriptable, define FW_SUPPORTS_SCRIPTING to be 1. Otherwise,
// define it to be zero.  Note that if your part is scriptable is must support
// extensions, so FW_SUPPORTS_EXTENSIONS must be defined to be 1.

#define FW_SUPPORTS_EMBEDDING 0
#define FW_SUPPORTS_EXTENSIONS 0
#define FW_SUPPORTS_SCRIPTING 0

//===================================================
// Kind
#define kDataSaveKind "+//ISO 9070/ANSI::113722::US::CI LABS::DevUniv:Kind:DataSave"

// Category
#define kDataSaveCategory "DevUniv:Category:DataSave"

// Class ID
#define kDataSaveEditor "DevUniv::DataSave"

// Editor User String
#define kDataSaveEditorUserString "DataSave 1.0"

// Kind User String
#define kDataSaveKindUserString "DataSave"

// Category User String
#define kDataSaveCategoryUserString "None"

// DataSave OSType
#define kDataSaveOSType 'DFMK'

#define kNMAPid						127
#define kKindCategoryMapId			kNMAPid+1
#define kEditorKindMapId			kNMAPid+2
#define kEditorUserStringMapId		kNMAPid+3
#define kKindUserStringMapId		kNMAPid+4
#define kCategoryUserStringMapId	kNMAPid+5
#define kOldMacOSTypeMapId			kNMAPid+6

//===================================================
// Menus
#define kDataSaveMenu 5

// Strings
#define kMenuStringsResID 			1000
	#define kPizzaMenuStringID 			1
		#define kItemOneStringID		2
		#define kItemTwoStringID		3
		#define kItemThreeStringID		4

#define kAboutBoxStrings 			1001
	#define kAboutMenuString 			1

// About box Alert ID
#define kDataSaveAboutBoxID  5000

// PICT ID
#define kODFpictResID  		2000

// Icon ID
#define kPartIconID		129

//===================================================
#endif

