//	Copyright  1995 Apple Computer. All rights reserved.
//	Release Version:	$ 1.0d11 $

#ifndef MAKEPIZZACMD_H
#define MAKEPIZZACMD_H

//==========================================================
#ifndef FWCMD_H
#include "FWCmd.h"			// FW_CCommand
#endif

#ifndef _DATASAVEFRAME_
#include "DataSaveFrm.h"			// CDataSaveFrame
#endif

//==========================================================
class FW_CLASS_ATTR CPizza;

//==========================================================
class FW_CLASS_ATTR CMakePizzaCommand : public FW_CCommand {
public:
	FW_DECLARE_CLASS
					CMakePizzaCommand(Environment* ev, 
									ODCommandID id,
									FW_CPart* part,
									FW_CFrame* frame,
									FW_CPoint& position);
	virtual 		~CMakePizzaCommand();
protected:
	// overrides
	virtual void 	DoIt(Environment* ev);
	virtual void 	UndoIt(Environment* ev);
	virtual void 	RedoIt(Environment* ev);
private:
	FW_CPoint		fPosition;
	CPizza*			fPizza;
};

//==========================================================
#endif