//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef PIZZA_H
#define PIZZA_H

//==========================================================================
// --- DU FW ---------------------
#ifndef DUSELECTABLE_H
#include "DUSelectable.h"	// DU_MSelectable
#endif

//==========================================================================
class FW_CWritableStream;
class FW_CReadableStream;
class FW_CRect;
class CDataItem;

//==========================================================================
class FW_CLASS_ATTR CPizza : public DU_MSelectable {
public:
	FW_DECLARE_CLASS
public:
						CPizza(const FW_CRect& bounds, FW_CColor color);
	virtual				~CPizza();
	virtual void 		Flatten(FW_CWritableStream& stream);
	static	void*		Read(FW_CReadableStream& stream);	
	virtual void		Draw(FW_CGraphicContext& gc);
protected:
						CPizza(FW_CReadableStream& stream);
private:
	FW_CColor			fColor;
};

//==========================================================================
#endif